CURLOPT_MIMEPOST(3)

NAME
CURLOPT_MIMEPOST - send data from mime structure

SYNOPSIS
#include <curl/curl.h>
curl_mime *mime;
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_MIMEPOST, mime);

DESCRIPTION
Pass a mime handle previously obtained from curl_mime_init(3). This setting is supported by the HTTP protocol to post forms and by the SMTP and IMAP protocols to provide the email data to send/upload. This option is the preferred way of posting an HTTP form, replacing and extending the CURLOPT_HTTPPOST(3) option.

PROTOCOLS
HTTP, SMTP, IMAP.

EXAMPLE
 curl_mime *multipart = curl_mime_init(handle);
 curl_mimepart *part = curl_mime_addpart(multipart);
 curl_mime_name(part, "name");
 curl_mime_data(part, "daniel", CURL_ZERO_TERMINATED);
 part = curl_mime_addpart(multipart);
 curl_mime_name(part, "project");
 curl_mime_data(part, "curl", CURL_ZERO_TERMINATED);
 part = curl_mime_addpart(multipart);
 curl_mime_name(part, "logotype-image");
 curl_mime_filedata(part, "curl.png");
 /* Set the form info */
 curl_easy_setopt(handle, CURLOPT_MIMEPOST, multipart);
 curl_easy_perform(handle); /* post away! */
 curl_mime_free(multipart); /* free the post data */

AVAILABILITY
Added in 7.56.0

RETURN VALUE
This will return CURLE_OK.

SEE ALSO
curl_mime_init(3)